List Payouts
curl --request GET \
--url https://api.viarosandbox.com/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/payouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/payouts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyPayouts & Settlement
List Payouts
Returns a list of existing payouts sent from your Pursar account.
GET
/
payouts
List Payouts
curl --request GET \
--url https://api.viarosandbox.com/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/payouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/payouts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyReturns a paginated list of existing payouts sent from your account. Payouts are ordered by creation date, with the most recently initiated payout appearing first.
Query Parameters
integer
default:"10"
A limit on the number of objects to be returned, between
1 and 100.string
Filter payouts by status:
pending, in_transit, paid, or failed.string
Filter payouts by currency code (
XAF, XOF, etc.).Code Examples
curl -G https://api.viarosandbox.com/v1/payouts \
-u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG: \
-d limit=10
import requests
url = "https://api.viarosandbox.com/v1/payouts"
auth = ("sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG", "")
response = requests.get(url, auth=auth, params={"limit": 10})
print(response.json())
const axios = require('axios');
async function listPayouts() {
const response = await axios.get('https://api.viarosandbox.com/v1/payouts', {
auth: {
username: 'sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG',
password: ''
},
params: { limit: 10 }
});
console.log(response.data);
}
listPayouts();
Response
{
"object": "list",
"data": [
{
"id": "po_7a1b2c3d4e5f",
"object": "payout",
"amount": 100000,
"currency": "XAF",
"status": "paid",
"arrival_date": "2026-11-06T14:30:00Z",
"destination": "pm_bank_afriland_01",
"description": "Weekly merchant payout",
"created_at": "2026-11-06T12:00:00Z"
}
],
"has_more": false
}

